Nuovo progetto: Please Update It

Spesso quando ci vengono richiesti siti e applicazioni "all'ultimo grido" che utilizzano le ultime uscite di HTML5 e CSS3, ci troviamo a combattere con le varie compatibilità dei browser.
Soprattutto (ahimè) con le versioni più vecchie di Internet Explorer.
Ci sono comunque tante altre features interessanti che ancora alcuni browser più in voga non hanno al momento implementato, come ad esempio WebRTC.

Per vedere il vostro browser cosa supporta, potete visitare questo sito: https://html5test.com/index.html

Se invece volete verificare "da codice" se una certa features è supportata, potete usare le API di Modernizr.
E se una tale features che state usando nella vostra applicazione non fosse supportata?
Potete mostrare un messaggio di errore oppure da adesso potete usare www.pleaseupdate.it. :)

Per usarlo è abbastanza semplice e vi lascio qua un esempio che ho messo su CodePen: https://codepen.io/kasuken/pen/mqVPbg

Add comment

Loading